XnDataTypes.h File Reference
`#include "XnOS.h"`

Go to the source code of this file.

## Macros

#define | XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, ClassName)
#define | XN_DECLARE_DEFAULT_VALUE_TRANSLATOR(Type, ClassName)
#define | XN_DEFAULT_TRANSLATOR_NAME(ClassName)

## Typedefs

typedef void * | XnValue

## Macro Definition Documentation

## XN_DECLARE_DEFAULT_VALUE_TRANSLATOR

#define XN_DECLARE_DEFAULT_VALUE_TRANSLATOR | ( |  | Type,
|  |  | ClassName )

Value:
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(, Type, ClassName)
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL
#define XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, ClassName)
Definition XnDataTypes.h:42

Declares a translator from Type to XnValue, with a name ClassName.

## XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL

#define XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL | ( |  | decl,
|  |  | Type,
|  |  | ClassName )

Declares a translator from Type to XnValue, with a name ClassName. The class is declared with the decl declspec.

## XN_DEFAULT_TRANSLATOR_NAME

#define XN_DEFAULT_TRANSLATOR_NAME | ( |  | ClassName | ) |

Value:
ClassName ## Translator

## Typedef Documentation

## XnValue

typedef void* XnValue

The value type for all general data structures